-------------------------------------------------------------------------------
--
-- Package com o cdigo objeto
--
--   FERNANDO GEHM MORAES         03/agosto/2005
--   NEY LAERT VILAR CALAZANS     18/junho/2006
--   CSAR AUGUSTO MISSIO MARCON  10/abril/2008
--
-------------------------------------------------------------------------------
library IEEE;
use IEEE.Std_Logic_1164.all;

package object_code is

	type ram is array (0 to 255) of std_logic_vector(7 downto 0);
	signal memoria: ram :=
	(
		x"10",
		x"25",
		x"40",
		x"00",
		x"24",
		x"2A",
		x"40",
		x"02",
		x"24",
		x"29",
		x"44",
		x"2A",
		x"50",
		x"FC",
		x"A4",
		x"12",
		x"84",
		x"24",
		x"44",
		x"29",
		x"35",
		x"2A",
		x"44",
		x"29",
		x"50",
		x"01",
		x"24",
		x"29",
		x"44",
		x"2A",
		x"50",
		x"01",
		x"24",
		x"2A",
		x"84",
		x"0A",
		x"F0",
		x"00",
		x"00",
		x"00",
		x"00",
		x"02",
		x"00",
		others => x"00"
	);

end object_code;